Get a recurring order
Get a order under recurring plan
Get a recurring order
POST /svc/payment/api/v1/openapi/recurring_payments/orders
Get a order under recurring plan
Request
- application/json
Body
customer_uuid stringrequired
order objectrequired
number stringrequired
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
Schema
code integerrequired
message stringrequired
data objectrequired
customer objectrequired
name string
email string
phone string
reference_number stringrequired
default_payment_method string
uuid stringrequired
default_payment_token object
token_type stringrequired
Possible values: [CreditCard, WechatPayAutoDebit, AlipayAutoDebit]
Example: CreditCard
token stringrequired
state stringrequired
verify_url stringnullable
verify_uuid stringrequired
default booleanrequired
默认卡
error_code string
if bind card failed, will return the specific error code
error_msg string
if bind card failed, will return the specific error message
credit_card object
number string
exp_month string
exp_year string
holder_name string
brand string
billing_currency string
recurring_cycle objectrequired
recurring_billing_config objectrequired
id stringrequired
interval_count integer
billing_interval stringrequired
billing_type stringrequired
billing_month integer
billing_day_of_month integer
billing_proration_enabled boolean
description string
created_at stringrequired
updated_at stringrequired
deleted_at stringnullable
recurring_items object[]required
Array [
id stringrequired
label string
price numberrequired
currency stringrequired
reference_id string
description string
created_at string
updated_at string
deleted_at stringnullable
]
discount_amount numberrequired
order objectrequired
amount number
paid_total number
currency string
order_number string
reference_number string
state string
correspondence_state string
auth_code string
default_payment_token string
default_collection_method string
note string
redirect_url string
timeout object
timer string
url string
{
"code": 0,
"message": "string",
"data": {
"customer": {
"name": "string",
"email": "string",
"phone": "string",
"reference_number": "string",
"default_payment_method": "string",
"uuid": "string",
"default_payment_token": {
"token_type": "CreditCard",
"token": "string",
"state": "string",
"verify_url": "string",
"verify_uuid": "string",
"default": true,
"error_code": "string",
"error_msg": "string",
"credit_card": {
"number": "string",
"exp_month": "string",
"exp_year": "string",
"holder_name": "string",
"brand": "string",
"billing_currency": "string"
}
}
},
"recurring_cycle": {
"recurring_billing_config": {
"id": "string",
"interval_count": 0,
"billing_interval": "string",
"billing_type": "string",
"billing_month": 0,
"billing_day_of_month": 0,
"billing_proration_enabled": true,
"description": "string",
"created_at": "string",
"updated_at": "string",
"deleted_at": "string"
},
"recurring_items": [\
{\
"id": "string",\
"label": "string",\
"price": 0,\
"currency": "string",\
"reference_id": "string",\
"description": "string",\
"created_at": "string",\
"updated_at": "string",\
"deleted_at": "string"\
}\
],
"discount_amount": 0
},
"order": {
"amount": 0,
"paid_total": 0,
"currency": "string",
"order_number": "string",
"reference_number": "string",
"state": "string",
"correspondence_state": "string",
"auth_code": "string",
"default_payment_token": "string",
"default_collection_method": "string",
"note": "string",
"redirect_url": "string",
"timeout": {
"timer": "string",
"url": "string"
}
}
}
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://developer.wonder.today/svc/payment/api/v1/openapi/recurring_payments/orders");
request.Headers.Add("Accept", "application/json");
var content = new StringContent("{\n \"customer_uuid\": \"string\",\n \"order\": {\n \"number\": \"string\"\n }\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Body
- Example (from schema)
- Example
{
"customer_uuid": "string",
"order": {
"number": "string"
}
}